#!/usr/bin/python

from numpy import *
import string
import int_values
import takeinp
import abstracts

inpt = takeinp.TakeInput('POSCAR')
lattmat = inpt.lattmat

xdat = abstracts.Xdatcarreader()
xdat.readFile('XDATCAR')
inpt.coords_c = dot(xdat.data[-1], lattmat)

coord = abstracts.Coordinates()
coord.getDefinition("ICOORD", inpt)
coord.readInput("INPFILE")
print coord.detect(inpt)
